Skip to main content
GET
/
locations
/
count
Retrieve the number of locations
curl --request GET \
  --url https://api.retrac.co/locations/count \
  --header 'Authorization: Bearer <token>'
123

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

type
enum<string>
Available options:
warehouse,
van,
truck,
site,
other
active
enum<string>
Available options:
true,
false
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:50
Required range: 1 <= x <= 50

Response

The number of locations matching the query

The number of locations matching the query.